cutlass::VectorTraits< T > Struct Template Reference

Traits describing properties of vectors and scalar-as-vectors.

`#include <vector.h>`

## Public Types

typedef T | Scalar
| Scalar type. More...
typedef Vector< T, 1 > | Vector
| Type that is always a vector. More...

## Static Public Attributes

static int const | kLanes = 1
| Number of lanes of vector. More...
static bool const | IsVector = false
| True if the type is actually a cutlass::Vector, otherwise false. More...

## Member Typedef Documentation

## Scalar

template<typename T >

typedef T cutlass::VectorTraits< T >::Scalar

## Vector

template<typename T >

typedef Vector<T, 1> cutlass::VectorTraits< T >::Vector

## Member Data Documentation

## IsVector

template<typename T >

bool const cutlass::VectorTraits< T >::IsVector = false

static

## kLanes

template<typename T >

int const cutlass::VectorTraits< T >::kLanes = 1

static

The documentation for this struct was generated from the following file:

- vector.h